ICU 74.1 74.1

Namespaces | Functions
ustream.h File Reference

C++ API: Unicode iostream like API. More...

`#include "unicode/utypes.h"`
`#include "unicode/unistr.h"`
`#include <iostream>`

Go to the source code of this file.

## Namespaces
| icu
| File coll.h.

## Functions
U_IO_API std::ostream & | icu::operator<< (std::ostream &stream, const UnicodeString &s)
| Write the contents of a UnicodeString to a C++ ostream. More...
U_IO_API std::istream & | icu::operator>> (std::istream &stream, UnicodeString &s)
| Write the contents from a C++ istream to a UnicodeString. More...

## Detailed Description

C++ API: Unicode iostream like API.

At this time, this API is very limited. It contains operator<< and operator>> for UnicodeString manipulation with the C++ I/O stream API.

Definition in file ustream.h.